-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http: //beamng.com/bCDDL-1.1.txt
 
local M = {}
 
local riseSpeed =  50 / 3.6
local highSpeed =  120 / 3.6
local topSpeed =  180 / 3.6
local minBrakeForce = 0.3

 
local function updateGFX(dt)
	if electrics.values['brake'] > minBrakeForce then
		electrics.values['spoilerRise'] = 1
	elseif electrics.values['wheelspeed'] >= riseSpeed and electrics.values['wheelspeed'] < highSpeed then
		electrics.values['spoilerRise'] = 0.5
	elseif electrics.values['wheelspeed'] >= highSpeed and electrics.values['wheelspeed'] < topSpeed then
		electrics.values['spoilerRise'] = 0.3
	else
		electrics.values['spoilerRise'] = 0
	end
	
end
 
-- public interface
M.updateGFX = updateGFX
return M